Bug 1779675 - oc adm catalog image build `--manifest-dir` option ignored
Summary: oc adm catalog image build `--manifest-dir` option ignored
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Nick Hale
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1772942
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-04 13:49 UTC by Nick Hale
Modified: 2020-04-10 01:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1772942
Environment:
Last Closed: 2020-04-08 07:39:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 300 0 None closed Bug 1779675: [release-4.3] Fix ignored `--manifest-dir` option in `oc adm catalog build` 2021-01-29 07:33:50 UTC
Github openshift oc pull 314 0 None closed Bug 1779675: [release-4.3] Fix ignored `--manifest-dir` option in `oc adm catalog build` 2021-01-29 07:33:50 UTC
Github openshift oc pull 336 0 None closed [release-4.3] Bug 1796675: bump(operator-framework/operator-registry) 2021-01-29 07:34:33 UTC
Red Hat Product Errata RHBA-2020:1262 0 None None None 2020-04-08 07:40:03 UTC

Comment 9 Jian Zhang 2020-03-25 02:11:28 UTC
The `oc` version:
[jzhang@dhcp-140-36 ~]$ ./oc version -o yaml
clientVersion:
  buildDate: "2020-03-23T05:58:49Z"
  compiler: gc
  gitCommit: 62c8ccacf15e6e26b428c818b1a319384ad0b57e
  gitTreeState: clean
  gitVersion: openshift-clients-4.3.9-202003230116
  goVersion: go1.12.12
  major: ""
  minor: ""
  platform: linux/amd64
releaseClientVersion: 4.3.0-0.nightly-2020-03-24-160927

1, Make a new folder:
[jzhang@dhcp-140-36 ~]$ ls zz_cache/
[jzhang@dhcp-140-36 ~]$ 

2, Store the manifest to this folder:
[jzhang@dhcp-140-36 ~]$ ./oc adm catalog build --appregistry-endpoint https://quay.io/cnr --appregistry-org redhat-operators  --manifest-dir zz_cache
INFO[0025] loading Bundles                               dir=zz_cache/manifests-984572146
INFO[0025] directory                                     dir=zz_cache/manifests-984572146 file=manifests-984572146 load=bundles
INFO[0025] directory                                     dir=zz_cache/manifests-984572146 file=3scale-operator load=bundles
INFO[0025] found csv, loading bundle                     dir=zz_cache/manifests-984572146 file=3scale-operator.v0.3.0.clusterserviceversion.yaml load=bundles
INFO[0025] loading bundle file                           dir=zz_cache/manifests-984572146/3scale-operator file=3scale-operator.package.yaml load=bundle
INFO[0025] loading bundle file                           dir=zz_cache/manifests-984572146/3scale-operator file=3scale-operator.v0.3.0.clusterserviceversion.yaml load=bundle
INFO[0025] loading bundle file                           dir=zz_cache/manifests-984572146/3scale-operator file=3scale-operator.v0.4.0.clusterserviceversion.yaml load=bundle
INFO[0025] loading bundle file                           dir=zz_cache/manifests-984572146/3scale-operator file=3scale-operator.v0.4.1.clusterserviceversion.yaml load=bundle
...

3, Check if the manifest in it:
[jzhang@dhcp-140-36 ~]$ tree zz_cache/
zz_cache/
├── manifests-115686336
└── manifests-984572146
    ├── 3scale-operator
    │   ├── 3scale-operator.package.yaml
    │   ├── 3scale-operator.v0.3.0.clusterserviceversion.yaml
    │   ├── 3scale-operator.v0.4.0.clusterserviceversion.yaml
    │   ├── 3scale-operator.v0.4.1.clusterserviceversion.yaml
    │   ├── 3scale-operator.v0.4.2.clusterserviceversion.yaml
    │   ├── APIManager-v1alpha1.crd.yaml
    │   ├── API-v1alpha1.crd.yaml
    │   ├── Binding-v1alpha1.crd.yaml
    │   ├── Limit-v1alpha1.crd.yaml
    │   ├── MappingRule-v1alpha1.crd.yaml
    │   ├── Metric-v1alpha1.crd.yaml
    │   ├── Plan-v1alpha1.crd.yaml
    │   └── Tenant-v1alpha1.crd.yaml
    ├── amq7-cert-manager
    │   ├── amq7-cert-manager.package.yaml
    │   ├── amq7-cert-manager.v1.0.0.clusterserviceversion.yaml
    │   ├── Certificate-v1alpha1.crd.yaml
...

LGTM, verify it.

Comment 12 errata-xmlrpc 2020-04-08 07:39:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1262


Note You need to log in before you can comment on or make changes to this bug.